#ifndef _Handle_PGeom_RectangularTrimmedSurface_HeaderFile
#define _Handle_PGeom_RectangularTrimmedSurface_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PGeom_BoundedSurface_HeaderFile
#include <Handle_PGeom_BoundedSurface.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PGeom_BoundedSurface);
class PGeom_RectangularTrimmedSurface;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PGeom_RectangularTrimmedSurface);

class Handle(PGeom_RectangularTrimmedSurface) : public Handle(PGeom_BoundedSurface) {
  public:

    Handle(PGeom_RectangularTrimmedSurface)():Handle(PGeom_BoundedSurface)() {} 
    Handle(PGeom_RectangularTrimmedSurface)(const Handle(PGeom_RectangularTrimmedSurface)& aHandle) : Handle(PGeom_BoundedSurface)(aHandle) 
     {
     }

    Handle(PGeom_RectangularTrimmedSurface)(const PGeom_RectangularTrimmedSurface* anItem) : Handle(PGeom_BoundedSurface)((PGeom_BoundedSurface *)anItem) 
     {
     }

    Handle(PGeom_RectangularTrimmedSurface)& operator=(const Handle(PGeom_RectangularTrimmedSurface)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PGeom_RectangularTrimmedSurface)& operator=(const PGeom_RectangularTrimmedSurface* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PGeom_RectangularTrimmedSurface* operator->() const 
     {
      return (PGeom_RectangularTrimmedSurface *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PGeom_RectangularTrimmedSurface) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
